Subject: [Bitcoin-development] free tx rate limiter potentially causes more traffic not less?

From: "Rebroad (sourceforge)" <[email-masked]>
Date: Sat, 5 May 2012 09:37:05 +0100

I recently was dabbling with AskFor() and changing the time waited from 2
minutes to 10 seconds (I think perhaps this value may change in future
versions when "network tuning" is implemented).

I noticed that, when used with the -limitfreerelay option that is causes
significant increase in traffic between peers. This is because the tx gets
asked for (from all connected peers usually), but AlwaysHave never becomes
true as it's never stored, always rejected, so it effectively getdatas the
transaction from every single connected peer.

Would it perhaps be better to set up a memory pool for rejected txs and
blocks (perhaps keeping only the hash) so that these rejected items can
continue being ignored?

I hope these observations are ok - I consider myself at the "trying to
understand the code/protocol/algorithm" stage so might sometimes make false
assumptions of what the code intends to do.

Ed